#include <avr/io.h>
#include <avr/eeprom.h>
#include "brauchwasser.h"
#include "source.h"
#include "relais.h"
#include "fuehler.h"
#include "menu.h"

unsigned char brauchwasser_status;

unsigned char ebrauchwasserprio __attribute__ ((section (".eeprom"))) = 40;

void brauchwasser_trigger(void)
{
	signed short bw_soll;
	
	if (get_sourcetype() == SOURCE_HOLZKESSEL)
		bw_soll = 590;
	else
		bw_soll = 500;
	
	signed short bw_oben = get_fuehler(NTC_BOILER_OBEN);
	signed short source_temp = get_sourcetemp();
	
	if (brauchwasser_status == BRAUCHWASSER_AUS)
		brauchwasser_status = BRAUCHWASSER_OK;
	
	switch (brauchwasser_status)
	{
		case BRAUCHWASSER_OK:
			if (bw_oben < (bw_soll - BRAUCHWASSERHYST))
			{
				brauchwasser_status = BRAUCHWASSER_AUFHEIZEN;
				
				if (source_temp < bw_oben + 10)
					brauchwasser_status = BRAUCHWASSER_NOENERGY;
			}
			break;
		
		case BRAUCHWASSER_AUFHEIZEN:
		case BRAUCHWASSER_NOENERGY:
			if (source_temp > bw_oben + 15)
				brauchwasser_status = BRAUCHWASSER_AUFHEIZEN;
				
			if (source_temp < bw_oben + 10)
					brauchwasser_status = BRAUCHWASSER_NOENERGY;
		
			if (bw_oben > (bw_soll + BRAUCHWASSERHYST))
				brauchwasser_status = BRAUCHWASSER_OK;
			break;
	}
	
	if (brauchwasser_status == BRAUCHWASSER_AUFHEIZEN)
		RELAIS_BRAUCHWASSER_ON
	else
		RELAIS_BRAUCHWASSER_OFF;
		
}
