#include <stdlib.h>
#include <avr/pgmspace.h>
#include "display.h"
#include "wintek2704.h"
#include "dcf77.h"


void display_status(PGM_P *statusstr, unsigned char status)
{
	PGM_P p_str;
	p_str = (PGM_P) pgm_read_word(&statusstr[status]);
	lcd_puts_P(p_str);
}

void display_dezival(signed short val, unsigned char symbol)
{
	char str[7];
	
	dtostrf(val / 10.0, 1, 1, str);
	lcd_puts(str);
	if (symbol)
	{
		lcd_putc(symbol);
	}
}

void display_val(int val, unsigned char symbol)
{
	char str[7];
	itoa(val, str, 10);
	lcd_puts(str);
	if (symbol)
	{
		lcd_putc(symbol);
	}
}

void display_clock(void)
{
	lcd_gotoxy(19, 0);
	
	if (dcf77.hour < 10)
		lcd_putc(' ');
	display_val(dcf77.hour, ':');
		
	if (dcf77.minute < 10)
		lcd_putc('0');
	display_val(dcf77.minute, ':');

	
	if (dcf77.second < 10)
		lcd_putc('0');
	display_val(dcf77.second, 0);
}

void display_time(unsigned char time)
{
	if (time < 40)
		lcd_putc(' ');

	display_val(time / 4, ':');

	if ((time % 4) == 0)
		lcd_putc('0');

	display_val((time % 4) * 15, 0);
}
