#include <avr/io.h>
#include "holz.h"
#include "fuehler.h"
#include "relais.h"
#include "menu.h"
#include "oel.h"

unsigned char holz_status;


unsigned short holz_delay = 0;
unsigned short holz_aktiv = 0; //Optokoppler von Holzkessel

void holz_trigger(void)
{
	switch (holz_status)
	{
		case HOLZ_ABKUEHLEN:
			if (--holz_delay == 0)
				holz_status = HOLZ_AUS;
				
		case HOLZ_AUS:
			if ((get_fuehler(NTC_HOLZ_VORLAUF) > MAX_TEMP) ||
				(get_fuehler(NTC_HOLZ_VORLAUF) > (get_fuehler(NTC_PUFFER_OBEN) + PUFFER_DIFF)) || holz_aktiv)
			{
				holz_status = HOLZ_BRENNT;
			}
			break;
			
		case HOLZ_BRENNT:
			if (((get_fuehler(NTC_HOLZ_VORLAUF) - get_fuehler(NTC_HOLZ_RUECKLAUF)) < MIN_DIFF) && (get_fuehler(NTC_HOLZ_VORLAUF) < (get_fuehler(NTC_PUFFER_OBEN) + PUFFER_DIFF)) && (holz_aktiv == 0))
			{
				holz_status = HOLZ_ABKUEHLEN;
				holz_delay = 15;
				//holz_delay=eeprom_read_byte(&eholznachlauf) * 15;
			}
	}
	/*
	if (holz_status == HOLZ_BRENNT)
		RELAIS_HOLZPUMPE_ON
	else
		RELAIS_HOLZPUMPE_OFF;*/
		
	oel_trigger();
	
}
