/*
  Interface fr LCD Display mit HB44780 Controller
  Stefan Seegel 02/2004
*/

#include <avr/io.h>

/*-------------------------------
	void lcd_init(byte flags)
---------------------------------
Initialisiert das Display
Flags: */
#define LCDF_F 0x01 //Funktion Set F; 0: 5x7 Zeichenfont, 1: 5*10 Zeichenfont
#define LCDF_N 0x02 //Funktion Set N; 0: 1 Zeilen Display, 1: 2 Zeilen Display

#define LCDF_B 0x04 //Display ON/OFF B; 0: Blinken aus, 1: Zeichen unter Cursor blinkt
#define LCDF_C 0x08 //Display ON/OFF C; 0: Cursor sichtbar, 1: Cursor unsichtbar
#define LCDF_D 0x10 //Display ON/OFF D; 0: Display aus, 1: Display ein

#define LCDF_S 0x20 //Entry Mode Set S; 0: Display nicht schieben, 1: Display schieben
#define LCDF_ID 0x40 //Entry Mode Set I/D: 0: Adresspointer dekrementieren, 1: Adresspointer inkrementieren

extern void lcd_init(unsigned char flags);

extern void lcd_select(unsigned char ctrl);

extern void lcd_clear(void);

extern void lcd_locate(unsigned char pos);

extern void lcd_dsplcrs(unsigned char flags);

extern void lcd_send_comm(unsigned char comm);
//Sendet ein Kommandobyte an das Display

extern void lcd_send_data(unsigned char data);
//Sendet ein Datenbyte an das Display

extern void lcd_puts(char *data);
//Sendet String an das Display
