#define EVENT_SECOND 0x10
#define EVENT_BACK 0x01
#define EVENT_PLUS 0x02
#define EVENT_MINUS 0x03
#define EVENT_SET 0x04

//Info menues
#define MS_BRAUCHWASSER	0x01
#define MS_HEIZUNG 		0x02
#define MS_HOLZKESSEL	0x03
#define MS_OELKESSEL	0x04
#define MS_STATUS 0x05

//Setup menues
#define MS_SERVICE 0x10
#define MS_HEIZKURVE 0x11
#define MS_RAUMNIVEAU 0x12
#define MS_HOLZMODUS 0x13
#define MS_OELMODUS	0x14
#define MS_HEIZGRENZE 0x15
#define MS_BWPRIO	0x16
#define MS_HEIZMODE	0x17
#define MS_OELMODE	0x18

#define MS_SETSERVICE 0x20
#define MS_SETHEIZEXPONENT 0x21
#define MS_SETMAXVORLAUF 0x22
#define MS_SETMINAUSSEN 0x23
#define MS_SETRAUMTEMP1 0x24
#define MS_SETRAUMTEMP2 0x25
#define MS_SETNIVEAU	0x26
#define MS_SETHEIZMODE	0x27
#define MS_SETHEIZSTART	0x28
#define MS_SETHEIZSTOP	0x29
#define MS_SETHEIZGRENZE1 0x2A
#define MS_SETHEIZGRENZE2 0x2B
#define MS_SETBWPRIO			0x2C
#define MS_SETOELMODE			0x2D
#define MS_SETOELSTART		0x2E
#define MS_SETOELSTOP			0x2F

#define MS_UNCHANGED	0xFF

extern unsigned char menu_state;

//show_status
/*
		012345678901234567890123456
	___________________________
0  |STATUS         
1  | Brauchwasser: OK
2  | Heizung: Energie!
3  | Quelle: Puffer
	---------------------------|
*/

//show_holzkessel
/*
		012345678901234567890123456
	___________________________
0  |HOLZKESSEL         
1  | Vorlauf  : 59.8   58.0
2  | Ruecklauf: 45.3   57.1
3  | Status: Abkuehlen 
	---------------------------|
*/

//show_heizung
/*
		0123456789012345678901234567
	___________________________
0  |HEIZUNG
1  | Vorlauf  : 34.3  Energie!
2  | Ruecklauf: 31.9
3  | Soll: 34.8 Aussen: -13.6
	---------------------------|
*/


//show_brauchwasser
/*
		0123456789012345678901234567
	___________________________
0  |BRAUCHWASSER
1  | Oben : 61.3 
2  | Unten: 31.0
3  | Solar: -13.4
	---------------------------|
*/

//show_oelkessel
/*
		012345678901234567890123456
	___________________________
0  |OELKESSEL
1  | Vorlauf  : 59.8
2  | Ruecklauf: 45.3
3  | Status: Aufheizen
	---------------------------|
*/

//show_heizkurve
/*
		012345678901234567890123456
	___________________________
0  |HEIZKURVE
1  | Exponent:     1.13
2  | Max. Vorlauf: 45
3  | Min. Aussen:  -15
	---------------------------|
*/

//show_raumniveau
/*
		012345678901234567890123456
	___________________________
0  |RAUMTEMPERATUR / NIVEAU
1  | Raumtemp. 1: 21.2
2  | Raumtemp. 2: 18.0
3  | Niveau: 			-1.0
	---------------------------|
*/

//show_heizmode
/*
		012345678901234567890123456
	___________________________
0  |HEIZUNG
1  | Betrieb: Normal/Absenk
2  | Von: 5:30
3  | Bis: 22:45
	---------------------------|
*/

//show_oelmode
/*
		012345678901234567890123456
	___________________________
0  |OEL-BRENNER
1  | Betrieb: BW&Heizung
2  | Von: 02:30
3  | Bis: 09:30
	---------------------------|
*/

//show_heizgrenze
/*
		012345678901234567890123456
	___________________________
0  |HEIZGRENZE
1  | Vollbetr.:   16
2  | Absenkbetr.: 12
3  | 
	---------------------------|
*/

//show_bwprio
/*
		012345678901234567890123456
	___________________________
0  |BRAUCHWASSERVORRANG
1  | 35
2  | 
3  | 
	---------------------------|
*/



extern void menu_event(unsigned char event);
