#include <avr/io.h>
#include <avr/interrupt.h>
#include "timebase.h"
#include "dcf77.h"
#include "key.h"
#include "heizung.h"
#include "fuehler.h"

unsigned char timebase_flags;
unsigned char holz_switch;

static unsigned short solar_counter = SOLAR_COUNTER;
static unsigned short source_counter = SOURCE_COUNTER / 4;
static unsigned long uart_counter = UART_COUNTER;
static unsigned short holzswitch_counter = 1000;

SIGNAL (SIG_OUTPUT_COMPARE1A) //Wird mit 256 Hz aufgerufen
{
	dcf77_trigger();
	key_trigger();
	
	if (! (PINB & (1<<PB4)) )
	{
		holz_switch = 1;
		holzswitch_counter = 1000;
	}
	else
		if (--holzswitch_counter == 0)
			holz_switch = 0;
		
	
	if (--solar_counter == 0)
	{
		solar_counter = SOLAR_COUNTER;
		timebase_flags |= 1<<TBFLAG_SOLAR;
	}
	
	if (--heizung_counter == 0)
	{
		heizung_counter = 1000;
		timebase_flags |=1<<TBFLAG_HEIZUNG;
	}
	
	if (--source_counter == 0)
	{
		source_counter = SOURCE_COUNTER;
		timebase_flags |= 1<<TBFLAG_SOURCE;
	}
	
	if (--uart_counter == 0)
	{
		uart_counter = UART_COUNTER;
		timebase_flags |= 1<<TBFLAG_UART;
	}
	
	if (--fuehler_counter == 0)
	{
		fuehler_init();
	}
}
